% Run from script, the model will run the input from the sheet in Excel
% placed furthest to the left
clear all
close all
clc
w = warning ('off','all');
% Name of model, just to make function calls shorter
m = 'EmergencyPreparednessAndResponse2';
% Get a list of all blocks in the model
blocks = find_system(m,'Type','Block');

set_param('EmergencyPreparednessAndResponse2','StopTime','200');


% How many times to run the model
numModelRuns = 30;


for run = 1:numModelRuns
 % Run the model
 sim(m);
 % Logg values for each run
 Response(run) = ResponseTime(1,1);
 Responsewfix(run) = ResponseTime(2,1);
 Discover(run) = Discoverytime(1,1);
 TotalTime(run) = END(1,1);
 %plot(FishatFarm(2:end,1),FishatFarm(2:end,2))
 hold on
 run
end

figure
subplot(1,2,1) 
cdfplot(Response)
h1 = cdfplot(Response);
set(h1,'Color',[0 0 0]);
title('')
xlabel('Time[hrs]')

subplot(1,2,2)   
histogram(Response,'Normalization','pdf')
title('')
xlabel('Time[hrs]')
ylabel('Density')